extends Node3D

@export var spin_speed: float = 7.0

@onready var saw_skin: Node3D = $SawSkin


func _ready() -> void:
	saw_skin.rotation.z = randf() * TAU


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _physics_process(delta: float) -> void:
	saw_skin.rotate_z(spin_speed * delta)
